From: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Date: Sun, 27 Mar 2022 06:33:23 +0200
Subject: power: supply: bq25890: Reset IILIM to default value on unplug

This seems like a good idea - otherwise if the driver is slow
to react on next plug it may use old input current limit for
a moment.
---
 drivers/power/supply/bq25890_charger.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/drivers/power/supply/bq25890_charger.c b/drivers/power/supply/bq25890_charger.c
index ece8c748..77f61c6 100644
--- a/drivers/power/supply/bq25890_charger.c
+++ b/drivers/power/supply/bq25890_charger.c
@@ -914,10 +914,6 @@ static void bq25890_external_power_changed(struct power_supply *psy)
 			dev_err(bq->dev, "Max_current out of range: %d\n", max_current);
 			max_current = 500;
 		}
-		dev_dbg(bq->dev, "Setting max current to %dmA\n", max_current);
-		ret = bq25890_field_write(bq, F_IILIM, (max_current-100)/50);
-		if (ret < 0)
-			dev_err(bq->dev, "Failed to set IILIM: %d\n", ret);
 	} else {
 		if (!power_supply_get_property(psy_supply, POWER_SUPPLY_PROP_PRESENT, &val))
 			bq25890_set_otg(bq, val.intval);
@@ -925,6 +921,11 @@ static void bq25890_external_power_changed(struct power_supply *psy)
 			dev_err(bq->dev, "Failed to get supply present\n");
 	}
 
+	dev_dbg(bq->dev, "Setting max current to %dmA\n", max_current);
+	ret = bq25890_field_write(bq, F_IILIM, (max_current-100)/50);
+	if (ret < 0)
+		dev_err(bq->dev, "Failed to set IILIM: %d\n", ret);
+
 	power_supply_changed(bq->charger);
 }
 
